/* ------------------------------------------------------------ */
/* ------------------- Formular neu --------------------------- */
/* ------------------------------------------------------------ */

/* --- Abstände - Layout --- */

.two-cols,
.one-col,
.e2n_form_text {
    margin-bottom: 25px !important;
}

.two-cols.e2n_mt0 {
    margin-bottom: 0 !important;
}

.two-cols>div {
    margin-right: 15px !important;
    width: 100% !important;
}

.two-cols.bewerbung-col-space>div:first-child {
    margin-right: 15px !important;
}

.two-cols.bewerbung-col-space>div:last-child {
    margin-left: 15px !important;
}

.two-cols.e2n_mt0>div:last-child {
    margin-right: 0 !important;
}

.one-col {
    margin-right: 15px !important;
}


/* --- Look - Color - Font --- */

/* -- Label -- */

.two-cols>div p.e2n_label_text,
.one-col p.e2n_label_text {
    font-size: 14px !important;
    line-height: 29px !important;
    padding-bottom: 0 !important;
    color: #B2B5BA !important;
}

.two-cols>div p.e2n_label_text i,
.one-col p.e2n_label_text i {
    color: red !important;
}

.two-cols>div .fancy-select-wrap,
.one-col .fancy-select-wrap {
    padding-top: 0 !important;
}


/* -- Selection Field -- */

.two-cols .fancy-select-wrap span.select2-container--default .select2-selection--single,
.one-col .fancy-select-wrap span.select2-container--default .select2-selection--single,
.one-col .wpcf7-form-control-wrap textarea {
    border: 1px solid #E2E2E2 !important;
    border-radius: 7px !important;
    padding: 10px !important;
}

.two-cols .fancy-select-wrap span.select2-container--default .select2-selection--single .select2-selection__rendered,
.one-col .fancy-select-wrap span.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #B2B5BA !important;
    font-size: 17px !important;
    line-height: 29px !important;
    padding: 0 !important;
}

#select2-land-70-container {
    color: #000 !important;
    font-size: 17px !important;
    line-height: 29px !important;
    padding: 0 !important;
}

.two-cols .fancy-select-wrap span.select2-container--default .select2-selection--single:hover .select2-selection__rendered,
.one-col .fancy-select-wrap span.select2-container--default .select2-selection--single:hover .select2-selection__rendered {
    color: #B2B5BA !important;
}

.two-cols .fancy-select-wrap span.select2-container--default:hover .select2-selection--single .select2-selection__rendered,
.one-col .fancy-select-wrap span.select2-container--default:hover .select2-selection--single .select2-selection__rendered {
    color: #B2B5BA !important;
}

.two-cols .fancy-select-wrap span.select2-container--default .select2-selection--single .select2-selection__arrow b::before,
.one-col .fancy-select-wrap span.select2-container--default .select2-selection--single .select2-selection__arrow b::before {
    content: '\f107' !important;
    position: absolute !important;
    font-family: 'Font Awesome 7 Pro' !important;
    line-height: 51px !important;
    font-size: 27px !important;
    color: #B2B5BA !important;
    -webkit-transition: transform 0.15s cubic-bezier(0.39, 0.71, 0.56, 0.98) !important;
    transition: transform 0.15s cubic-bezier(0.39, 0.71, 0.56, 0.98) !important;
}

.two-cols .fancy-select-wrap span.select2-container--default .select2-selection--single .select2-selection__arrow b,
.one-col .fancy-select-wrap span.select2-container--default .select2-selection--single .select2-selection__arrow b {
    display: block !important;
    position: relative !important;
    border: 0 !important;
    color: #B2B5BA !important;
    top: 0px !important;
    left: 0px !important;
    margin-top: 0 !important;
    margin-left: 0 !important;
}

.two-cols .fancy-select-wrap span.select2-container--default:hover .select2-selection--single .select2-selection__arrow b::before,
.one-col .fancy-select-wrap span.select2-container--default:hover .select2-selection--single .select2-selection__arrow b::before {
    color: #B2B5BA !important;
}

/* -- Input Field -- */

.two-cols .wpcf7-form-control-wrap input,
.one-col .wpcf7-form-control-wrap input {
    border: 1px solid #E2E2E2 !important;
    border-radius: 7px !important;
    padding: 10px !important;
    height: auto !important;
    background-color: transparent !important;
    font-size: 17px !important;
    line-height: 29px !important;
    color: #000000 !important;
    margin-bottom: 0 !important;
}


/* -- Textarea Field -- */

.one-col .wpcf7-form-control-wrap textarea {
    border: 1px solid #E2E2E2 !important;
    border-radius: 7px !important;
    padding: 10px !important;
    height: auto !important;
    background-color: transparent !important;
    font-size: 17px !important;
    line-height: 29px !important;
    color: #B2B5BA !important;
    margin-bottom: 0 !important;
}

.one-col .wpcf7-form-control-wrap.has-content textarea {
    color: #000000 !important;
}

.one-col.e2n-textarea {
    position: relative !important;
    margin-bottom: 10px !important;
}

.one-col .wpcf7-character-count.down {
    font-size: 15px !important;
    display: inline-block !important;
    position: absolute !important;
    top: 40px !important;
    right: 48px !important;
    color: #B2B5BA !important;
}

.one-col .wpcf7-character-count.down:before {
    content: '/' !important;
    right: -8px !important;
    position: absolute !important;
}

.one-col .wpcf7-character-count.down:after {
    content: attr(data-maximum-value) !important;
    right: -32px !important;
    position: absolute !important;
}

textarea {
    color: #B2B5BA !important;
}

/* -- Zusatzinformationen -- */

.e2n-acceptance .wpcf7-acceptance {
    margin-bottom: 0 !important;
}

.e2n_required_mt {
    margin-top: 15px !important;
    float: left !important;
}

.wpcf7-list-item-label,
.required {
    font-size: 14px !important;
    line-height: 20px !important;
}

.wpcf7-checkbox input[type=checkbox]+span::before,
.wpcf7-acceptance input[type=checkbox]+span::before {
    height: 23px !important;
    width: 23px !important;
    top: 0px !important;
    left: 0px !important;
    bottom: 0 !important;
}

.wpcf7-checkbox input[type=checkbox]+span::after,
.wpcf7-acceptance input[type=checkbox]+span::after {
    left: 8px !important;
    top: 3px !important;
    width: 5px !important;
    height: 10px !important;
}

/* -- Button -- */

.e2n-submit {
    float: right !important;
    margin-right: 15px !important;
    margin-top: 20px !important;
}

.e2n-submit .wpcf7-spinner {
    float: left !important;
}


/* -- Stati Look -- */

input[type=date]:focus,
input[type=email]:focus,
input[type=number]:focus,
input[type=password]:focus,
input[type=search]:focus,
input[type=tel]:focus,
input[type=text]:focus,
input[type=url]:focus,
select:focus,
textarea:focus {
    box-shadow: none !important;
    border: 1px solid #B2B5BA !important;
    color: #000000 !important;
}

input[type=date]:hover,
input[type=email]:hover,
input[type=number]:hover,
input[type=password]:hover,
input[type=search]:hover,
input[type=tel]:hover,
input[type=text]:hover,
input[type=url]:hover,
select:hover,
.one-col .wpcf7-form-control-wrap textarea:hover {
    border: 1px solid #B2B5BA !important;
    color: #000 !important;
}

input[type=date],
input[type=email],
input[type=number],
input[type=password],
input[type=search],
input[type=tel],
input[type=text],
input[type=url] {
    color: #000 !important;
    background-color: white !important;
}

::placeholder {
    color: #B2B5BA !important;
    opacity: 1 !important;
}

:focus-visible {
    outline: #E2E2E2 solid 1px !important;
}

.wpcf7-form .wpcf7-not-valid-tip {
    color: red !important;
    border: none !important;
    padding: 0 !important;
    margin: 0 !important;
}

.wpcf7-form .wpcf7-not-valid-tip::before {
    content: "\f06a" !important;
    font-family: 'Font Awesome 7 Pro' !important;
    padding-right: 4px !important;
}

.wpcf7-form-control-wrap:has(> span.wpcf7-not-valid-tip) input {
    border: 1px solid red !important;
    color: #000 !important;
}

.wpcf7-form-control-wrap:has(> span.wpcf7-not-valid-tip) .fancy-select-wrap span.select2-selection--single,
.wpcf7-form-control-wrap:has(> span.wpcf7-not-valid-tip) .fancy-select-wrap span.select2-container--default span.select2-selection--single,
.wpcf7-form-control-wrap:has(> span.wpcf7-not-valid-tip) textarea {
    border: 1px solid red !important;
    color: #000 !important;
}

.e2n-acceptance .wpcf7-form-control-wrap:has(> span.wpcf7-not-valid-tip) input {
    border: 1px solid red !important;
    height: 25px !important;
    width: 25px !important;
    top: -4px !important;
    left: -5px !important;
    bottom: 0 !important;
}

.wpcf7 form.invalid .wpcf7-response-output {
    border-color: red !important;
}

body[data-fancy-form-rcs="1"] .select2-container--default .select2-selection--single:hover {
    background-color: #F5F5F5 !important;
    border-color: #E2E2E2 !important;
}

body[data-fancy-form-rcs="1"] .select2-container--default.select2-container--open .select2-selection--single {
    background-color: white !important;
    border-color: #B2B5BA !important;
}